miércoles, 24 de agosto de 2011

Entorno vulnerable Android

Entorno vulnerable Android:



android-broken.jpg


Todos o casi todos conocéis OWASP (Open Web Appication Security Project) y además muchos también conocéis WebGoat, una aplicación web escrita en J2EE con errores de seguridad específicos con la cual podemos afinar nuestras habilidades y/o herramientas.


Pues bien, ahora también tenemos owasp-goatdroid. Un entorno vulnerable escrito totalmente en Java. Actualmente se encuentra en versión beta y sólo disponemos de un servicio web RESTful totalmente funcional, así como una aplicación para probarlo. El servicio web correo sobre un servidor Jetty embebido, por lo tanto no necesitas instalar ningún servidor web. Eso sí, necesitarás MySQL, las SDK de Android y Eclipse.


Aquí tienes una guía rápida para empezar. Y aquí el enlace al proyecto en Google Code.

Entradas relacionadas:






Comparte esta entrada:


Meneame
RSS
email
PDF
BarraPunto
Facebook
Twitter
Digg
Google Bookmarks
Wikio
Bitacoras.com
Reddit
Technorati




Post to Twitter